Update a secondary zone
Updates or creates a secondary zone for the provided secondary Zone ID.
put
Authorizations
AuthorizationstringRequired
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Path parameters
secondaryZoneIdstring · uuidRequired
The ID (UUID) of the DNS zone.
Body
Responses
202
Successful operation.
application/json
idstring · uuidRequiredExample:
The zone ID (UUID).
e74d0d15-f567-4b7b-9069-26ee1f93bae3typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample:
<RESOURCE-URI>400
Bad Request
The request send to the API was malformed.
application/json
401
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
application/json
403
Not Allowed
The user issuing the request does not have the needed permissions.
application/json
409
Conflict Error
This zone cannot be created because a zone with the same name already exists.
application/json
422
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
application/json
500
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
application/json
put/secondaryzones/{secondaryZoneId}
PUT /secondaryzones/{secondaryZoneId} HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"properties": {
"zoneName": "example.com",
"description": "The hosted zone is used for example.com",
"primaryIps": [
"1.2.3.4",
"5.6.7.8"
]
}
}{
"id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
"type": "zone",
"href": "<RESOURCE-URI>",
"metadata": {
"lastModifiedDate": "2022-08-21T15:52:53Z",
"createdDate": "2022-08-21T15:52:53Z",
"state": "PROVISIONING",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"nameservers": [
"nscs.ui-dns.com",
"nscs.ui-dns.de",
"nscs.ui-dns.org",
"nscs.ui-dns.biz"
]
},
"properties": {
"zoneName": "example.com",
"description": "The hosted zone is used for example.com",
"primaryIps": [
"1.2.3.4",
"5.6.7.8"
]
}
}Last updated
Was this helpful?